:root {
  --bs-offcanvas-width-custom: 601px;
}

@media screen and (max-width: 768px) {
  :root {
    --bs-offcanvas-width-custom: 100%;
  }
}

.offcanvas {
  width: var(--bs-offcanvas-width-custom) !important;
}

.container-parent {
  position: relative;
  width: 100%;
  height: 100%;
}

.profile-pages-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.section-colored {
  background-color: var(--primary-color);
  width: 30%;
}

.profile-section {
  width: 30%;
}

.profile-title {
  font-size: 1.167rem;
}

.profile-section * {
  font-size: 1.2rem;
  color: var(--text-color-primary-bg);
}

.profile-item {
  padding: 10px 0px;
  padding-right: 20px;
}

.rtl .profile-item {
  padding: 10px 0px;
  padding-right: 0px;
  padding-left: 20px;
}

.profile-item-title {
  font-size: 1.2rem;
  margin: 0 10px;
}

.profile-item-description {
  margin: 0 44px;
}

.profile-item-description p {
  font-size: 1rem;
}

.profile-item-image {
  font-size: 35px;
  width: 44px;
}

.profile-row.active {
  margin-left: -15px;
  padding: 10px;
  background-color: rgba(255, 255, 255, 0.4);
}

.rtl .profile-row.active {
  margin-left: unset;
  margin-right: -15px;
}

.profile-row {
  border-radius: 10px;
}

.account-content {
  margin: 50px;
}

.profile-section-dropdown {
  margin: 0px -15px;
}

.profile-section-dropdown .dropdown {
  position: static !important;
}

.profile-section-dropdown .dropdown-menu {
  top: 54px !important;
  transform: none !important;
  margin: 0px;
  padding: 0px;
  margin-top: 0 !important;
  width: 100% !important;
  border: 0;
}

.profile-section-dropdown .nav {
  padding: 0px;
  width: 100%;
}

.profile-section-dropdown .dropdown-toggle::after {
  display: none !important;
}

.profile-section-dropdown .icon-arrow_drop_down1 {
  margin-left: auto;
}

.rtl .profile-section-dropdown .icon-arrow_drop_down1 {
  margin-left: unset;
  margin-right: auto;
  font-size: 32px;
}

.profile-section-dropdown .dropdown {
  background: var(--primary-color);
  border: 0;
  border-radius: 0px;
  width: 100%;
  padding: 10px 15px;
}

.profile-section-dropdown .dropdown-menu > li > a {
  background-color: var(--primary-color);
  padding: 10px 15px;
  color: #ffffff;
  border-top: 1px solid #3d3d3d;
}

.profile-section-dropdown .dropdown ul.dropdown-menu {
  border-radius: 0px;
  box-shadow: none;
  margin-top: 20px;
  width: 300px;
}

.account-content .btn-primary {
  min-width: 100px;
  float: right;
}

.rtl .account-content .btn-primary {
  float: left;
}

.delete-button {
  position: absolute;
  top: 10px;
  right: 10px;
  /* border: 1px solid #ccc; */
  padding: 5px;
  cursor: pointer;
  z-index: 2;
}

.rtl .delete-button {
  right: unset;
  left: 10px;
}

@media only screen and (max-width: 768px) {
  .account-content {
    margin: 15px;
  }
}

/* shipping and payment header */

shipping-header {
  background-color: var(--primary-color);
  margin: 24px 0;
  padding: 24px 0;
}
@media (max-width: 767px) {
  .shipping-header {
    padding: 18px 0 12px;
  }
}

.shipping-header-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 16px;
  -ms-flex-pack: distribute;
  justify-content: space-between;
  background-color: #1d1d1b;
}

.shipping-payments-toggle {
  font-weight: 400;
  font-size: 24px;
  line-height: 100%;
  letter-spacing: 0%;
  color: #fff;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  justify-content: space-between;
  gap: 24px;
  padding: 36px 30px;
  border-bottom: 2px solid transparent;
  -webkit-transition: var(--main-transition);
  transition: var(--main-transition);
}
@media (max-width: 767px) {
  .shipping-payments-toggle {
    font-weight: 400;
    font-size: 16px;
    line-height: 100%;
    letter-spacing: 0%;
  }
  .shipping-payments-toggle svg {
    width: 24px;
    height: 24px;
  }
}

.shipping-payments-toggle:hover,
.shipping-payments-toggle.active {
  border-color: #fff;
}

.shipping-box {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: calc((100% - 20px) / 2) 20px calc((100% - 20px) / 2);
  grid-template-columns: repeat(2, calc((100% - 20px) / 2));
  gap: 20px;
}

.shipping-box .ship-box {
  background-color: white;
  border-radius: 16px;
}

@media (max-width: 767px) {
  .shipping-box {
    -ms-grid-columns: 100%;
    grid-template-columns: 100%;
    gap: 28px;
  }
}

.payment-image {
  height: 64px;
}
@media (max-width: 767px) {
  .payment-image {
    height: 24px;
  }
}

.shipping-heading {
  margin-bottom: 24px;
  padding-top: 24px;
}

.shipping-title {
  font-weight: 500;
  font-size: 24px;
  line-height: 100%;
  letter-spacing: 0%;
}
@media (max-width: 767px) {
  .shipping-title {
    font-weight: 700;
    font-style: Bold;
    font-size: 16px;
    line-height: 100%;
    letter-spacing: 0%;
  }
}

* Payment Method */ .payment-method {
  padding: 24px;
}

@media (max-width: 767px) {
  .payment-method {
    padding: 16px;
  }
}
.btn-copy {
  background-color: transparent;
  border: none;
}

.payment-method-title {
  color: #121212;
  font-size: 16px;
  font-weight: 500;
}

.payment-method-img {
  width: 82px;
  height: 82px;
}

.payment-method-img img {
  width: 100%;
  height: 100%;
}

.payment-method-name {
  color: #121212;
  font-size: 14px;
  font-weight: 500;
}

.payment-method-value {
  color: #808080;
  font-size: 14px;
  font-weight: 500;
}

@media (max-width: 767px) {
  .payment-method-img {
    width: 42px;
    height: 42px;
  }
}

/* cities modal */
.offcanvas-header {
  position: relative;
  display: flex;
  justify-content: center;
}

.offcanvas-header h5 {
  font-weight: 700;
  font-style: Bold;
  font-size: 24px;
  line-height: 36px;
  letter-spacing: 0px;
}

.offcanvas-header .btn-close {
  position: absolute;
  right: 38px;
  top: 50%;
  transform: translateY(-50%);
  margin: 0;
}

[dir="rtl"] .offcanvas-header .btn-close {
  right: unset;
  left: 38px;
}

.search-citites {
  background-color: #f8fafc;
  font-weight: 700;
  font-style: Bold;
  font-size: 14px;
  line-height: 16px;
  letter-spacing: 0px;
}

.show-all-citites {
  font-weight: 700;
  font-style: Bold;
  font-size: 16px;
  line-height: 20px;
  letter-spacing: 0px;
}
.show-all-citites li {
  list-style-type: none;
  padding-block: 16px;
}
